apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/force-ssl-redirect: "true"
    nginx.ingress.kubernetes.io/proxy-body-size: 512m

  name: forgejo
  namespace: gitea
spec:
  ingressClassName: nginx
  rules:
  - host: gitea.otc.c-one-infra.de
    http:
      paths:
      - backend:
          service:
            name: forgejo-http
            port:
              number: 3000
        path: /
        pathType: Prefix
  tls:
  - hosts:
    - gitea.otc.c-one-infra.de
    secretName: forgejo-net-tls
